Bug 1921604 - Review Request: php-laminas-code4 - Laminas Framework Code component
Summary: Review Request: php-laminas-code4 - Laminas Framework Code component
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1921616
TreeView+ depends on / blocked
 
Reported: 2021-01-28 09:53 UTC by Remi Collet
Modified: 2021-03-19 20:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-19 18:48:53 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2021-01-28 09:53:44 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/laminas/php-laminas-code4.git/plain/php-laminas-code4.spec?id=d86a5ece196150e5aadc11123ba6b5ec32b22675
SRPM URL: https://rpms.remirepo.net/SRPMS/php-laminas-code4-4.0.0-1.remi.src.rpm
Description: 

laminas-code provides facilities to generate arbitrary code using
an object-oriented interface, both to create new code as well as to update
existing code. While the current implementation is limited to generating
PHP code, you can easily extend the base class in order to provide code
generation for other tasks: JavaScript, configuration files, apache vhosts,
etc.

Documentation: https://docs.laminas.dev/laminas-code/


Fedora Account System Username: remi


Previouos version review #1792308

Comment 1 Remi Collet 2021-01-28 09:54:01 UTC
Previous version review bug #1792308

Comment 2 Robert-André Mauchin 🐧 2021-03-09 11:02:49 UTC
Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License". 204 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/php-laminas-code4/review-
     php-laminas-code4/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: php-laminas-code4-4.0.0-1.fc35.noarch.rpm
          php-laminas-code4-4.0.0-1.fc35.src.rpm
php-laminas-code4.noarch: W: spelling-error %description -l en_US apache -> Apache, apace, panache
php-laminas-code4.noarch: W: spelling-error %description -l en_US vhosts -> hosts, ghosts, v hosts
php-laminas-code4.src: W: spelling-error %description -l en_US apache -> Apache, apace, panache
php-laminas-code4.src: W: spelling-error %description -l en_US vhosts -> hosts, ghosts, v hosts
php-laminas-code4.src: W: strange-permission makesrc.sh 755
php-laminas-code4.src: W: invalid-url Source0: 28a6d70ea8b8bca687d7163300e611ae33baf82a/php-laminas-code4-4.0.0-28a6d70.tgz
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 4 Tomas Hrcka 2021-03-10 22:41:52 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-laminas-code4

Comment 5 Fedora Update System 2021-03-11 07:03:07 UTC
FEDORA-2021-7a427ecb25 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7a427ecb25

Comment 6 Fedora Update System 2021-03-11 07:03:08 UTC
FEDORA-2021-73a14c38ea has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-73a14c38ea

Comment 7 Fedora Update System 2021-03-11 19:51:30 UTC
FEDORA-2021-73a14c38ea has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-73a14c38ea \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-73a14c38ea

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-03-12 00:19:08 UTC
FEDORA-2021-7a427ecb25 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-7a427ecb25 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7a427ecb25

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-03-19 18:48:53 UTC
FEDORA-2021-7a427ecb25 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-03-19 20:11:15 UTC
FEDORA-2021-73a14c38ea has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.